import React, { useEffect, useState } from 'react';
import TinderCard from 'react-tinder-card';
import './Tinder.css';
import axios from 'axios';

const Tinder = (props) => {

    const route = props.getValue;
    const cardInfo = props.cardInfo;

    const [lastDirection, setLastDirection] = useState();
    const [cardId, setCardId] = useState([]);
    const [allIds, setAllIds] = useState([]);

    const swiped = (direction, id) => {
        setLastDirection(direction);
        allIds.push(id);
        console.log(allIds.length);
        if (direction === 'right' || direction === 'up') {
            cardId.push(id);
        };
    };

    return (
        <div className='tinder-container'>
            <h1>Card</h1>
            <div className='card-container'>
                {cardInfo.map((card) => (
                    <TinderCard
                        className='swipe'
                        key={card.id}
                        onSwipe={(dir) => {
                            swiped(dir, card.id);
                            var unique = [...new Set(cardId)]
                            var uniqueIds = [...new Set(allIds)];
                            if(uniqueIds.length === cardInfo.length) {
                                route('/map');

                                console.log(unique);
                            }
                        }}
                    >
                        <div className='card'>
                        <div
                            className='card-content'
                            style={{
                                backgroundImage: `url(${card.imageURL})`,
                                width: '300px',
                                height: '400px',
                                borderRadius: '10px',
                                backgroundRepeat: 'no-repeat',
                                backgroundPosition: 'center',
                            }}
                        >
                                <h3>{card.question}</h3>
                            </div>
                        </div>
                    </TinderCard>
                ))}
            </div>
        </div>
    );
}

export default Tinder;
